Name:           ipset
Version:        4.5
Release:        1%{?dist}.art.art
Summary:        Tools for managing ip sets in packet filter.

Group:          System Environment/Base
License:        GPL
URL:            http://ipset.netfilter.org/
Source0:        http://ipset.netfilter.org/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Prefix: %{_prefix}

%description
IP sets are a framework inside the Linux 2.4.x and 2.6.x kernel,
which can be administered by the ipset utility. Depending on the
type, currently an IP set may store IP addresses, (TCP/UDP) port
numbers or IP addresses with MAC addresses in a way, which ensures
lightning speed when matching an entry against a set. 

If you want to 
   - store multiple IP addresses or port numbers and match against
     the collection by iptables at one swoop; 
   - dynamically update iptables rules against IP addresses or
     ports without performance penalty; 
   - express complex IP address and ports based rulesets with one
     single iptables rule and benefit from the speed of IP sets 
then ipset may be the proper tool for you. 


%prep
%setup -q


%build
make binaries PREFIX=/usr KERNEL_DIR=/usr BINDIR=/sbin LIBDIR=/%{_lib} MANDIR=%{_mandir}


%install
make binaries_install PREFIX=/usr DESTDIR=%{buildroot} KERNEL_DIR=/usr BINDIR=/sbin LIBDIR=/%{_lib} MANDIR=%{_mandir}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,0755)
%doc TODO ChangeLog*
/sbin/ipset*
%{_mandir}/man8/ipset*
%dir /%{_lib}/ipset
/%{_lib}/ipset/libipset*



%changelog
* Wed May 04 2011 Denis Frolov <d.frolov81@mail.ru> - 4.5-1
- Update to 4.5-1

* Fri Nov 06 2009 Denis Frolov <d.frolov81@mail.ru> - 2.5.0-1
- Update to 2.5.0-1

* Fri Mar 13 2009 Alexander Taranchuk <sail@micro.km.ua> - 2.5.0
- up to 2.5.0

* Tue Nov 28 2006 Alexander Taranchuk <sail@micro.km.ua> - 2.2.9a
- initial package
